<?php

/*
 * @file
 * Contains configuration form of the updatescript processor.
 */

/*
 * The form callback which defines the form for configurating the updatescript processor.
 */
function updatescripts_configuration_form($form) {

  $form['updatescripts'] = array (
    '#type' => 'fieldset',
    '#title' => t('Settings'),
  );

  $form['updatescripts']['updatescripts_overlay_button'] = array (
    '#type' => 'checkbox',
    '#title' => t('Overlay button'),
    '#description' => t('Shows an updatescript overlay button ad the left middle side of each page.'),
    '#default_value' => variable_get('updatescripts_overlay_button', FALSE),
  );

  $form['updatescripts']['updatescripts_conf_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Path to updatescripts folder'),
    '#description' => t('Specify a relative to Drupal root path with "updatescripts" folder.'),
    '#default_value' => variable_get('updatescripts_conf_path', conf_path()),
  );

  return system_settings_form($form);
}
