<?php

/**
 * @file
 * Describes hooks for updatescripts module.
 */

/**
 * Will be called after processing a single script.
 *
 * @param string $filepath
 *  The filepath of the script.
 * @param boolean $update
 *   TRUE, if the process was an update of a previously processed script.
 * @param string $author
 *   The name of the script author.
 * @param string  $description
 *   The description of the script.
 */
function hook_updatescripts_process_closed($filepath, $update, $author, $description) {

}

/**
 * @param array $scripts
 *   An array which contains the script filenames.
 */
function hook_updatescripts_batch_process_created($scripts) {

}

/**
 * @param boolean $success
 *   TRUE if the process was successfuly finished.
 * @param array  $results
 *   An array which contains the results of the batch process.
 * @param array  $operations
 *   An array which contains the operations of the batch process.
 */
function hook_updatescripts_batch_process_finished($success, $results, $operations) {

}
